#include <stdio.h>
#include <math.h>

using namespace std;

float p, q, r;
bool f(int n){
    if(n >= ceil(n/p)+ceil(n/q)+ceil(n/r))
        return true;
    return false;
}

int main(){
    int n;
    long long L, R;
    int res = 0;
    scanf("%f%f%f%lld%lld", &p, &q, &r, &L, &R);

    if(R > 10000){
        if(L > 10000){
            int tmp= 0;
            for(int i = 1 ; i <10000; i++){
                if(f(i))
                    tmp++;
            }
            //printf("tmp: %d\n", tmp);
            if(tmp>50)
                printf("%lld\n", (R-L)+1);
            else
                printf("0\n");
        }
        else{
            int tmp = 0;
            for(int i = L; i<10000; i++){
                if(f(i))
                    tmp ++;
            }
            printf("%lld\n", (long long)tmp+R-(10000-1));
        }

    } 
    else{
        //printf("Yet\n");
        for(int i = L; i<=R; i++){
            if(f(i))
                res++;
        }
        printf("%d\n", res);
    }
    return 0;
}